from optparse import make_option

from django.core.management.base import BaseCommand

from fasad.models import RealEstate


class Command(BaseCommand):
    help = 'Fetches XML for all real estates.'

    def handle(self, *args, **options):
        if len(args) > 0:
            message = 'This command takes no arguments. {} arguments ignored.'
            self.stdout.write(message.format(len(args)))

        self.stdout.write('Starting...')
        RealEstate.objects.save_item_xmls()
        self.stdout.write('Done.')
