from django.db import models


class RealEstateQuerySet(models.QuerySet):

    def houses(self):
        return self.filter(estate_type_id__in=[7, 1944, 1948, 1954, 1956])

    def apartments(self):
        return self.filter(estate_type_id__in=[1946])

    def lands(self):
        # Don't know the ID of lands yet
        return self.none()
